/*
 Theme Name:   Love + Justice Alliance
 Theme URI:    
 Description:  Love + Justice Alliance
 Author:       Stacy Nguyen Creative (CW)
 Author URI:   https://stacynguyen.com/
 Template:     genesis
 Version:      1.0.0
 Text Domain:  genesischild
*/

/* 01 Imported Stylesheets & Fonts ////////////// */

@import url("/css/accordian.css");
@import url("/css/animate.css");
@import url("/css/splash.css");


@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Roboto+Condensed:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100..900;1,100..900&family=Sigmar&display=swap');


/* 02 Global ////////////// */
:root {
	--16px: 1rem;
	--24px: 1.5rem;
	--32px: 2rem;
	--300px: 18.75rem;
	interpolate-size: allow-keywords;

	--base-font-size: clamp(1.2rem, calc(.4vw + 1rem), 1.6rem);

	--wrap-width: min(100%, 1120px);

	--space-gap: min(40px, 2.5rem);
	--space-gap-half: min(20px, 1.25rem);
	--space-topmarg: min(3rem, 60px);
	--breakout-size: min(80px, 6.25rem);
	--border-radius: .25rem;

	--nav-height: 6.25rem;
	--footer-widgets: 18.75rem;
	--footer-height: 4rem;

	--font-main: "Montserrat", "Roboto", sans-serif;
	--font-heading: "Roboto Condensed", var(--font-main);
	--font-awesome: 'FontAwesome';
	--font-bootstrap: "bootstrap-icons";
	--font-google: 'Material Symbols Outlined', "material symbols", "material icons";

	--color-cocoa: rgb(70, 24, 37);
	--color-green: rgb(47, 63, 43);
	--color-blue: rgb(38, 60, 131);
	--color-hotpink: rgb(185, 29, 131);
	--color-orange: rgb(241, 91, 69);
	--color-yellow: rgb(253, 182, 20);
	--color-lightpink: rgb(214, 141, 189);
	--color-beige: rgb(231, 186, 163);
	--color-text: rgb(51, 39, 32);
	--color-body: rgb(244, 237, 233);
}

* {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

html {
	border: 0;
	margin: 0;
	padding: 0;
	line-height: 1.2;
	scroll-behavior: smooth;
	accent-color: var(--color-yellow);
}

body {
	margin: 0;
	padding: 0;
	font-family: var(--font-main);
	color: var(--color-text);
	font-weight: 400;
	font-style: normal;
	text-wrap: auto;
}

body * {
	transition: all 0.4s cubic-bezier(0.43, 0.195, 0.02, 1);
	-webkit-transition: all 0.4s cubic-bezier(0.43, 0.195, 0.02, 1);
	-moz-transition: all 0.4s cubic-bezier(0.43, 0.195, 0.02, 1);
	-o-transition: all 0.4s cubic-bezier(0.43, 0.195, 0.02, 1);
}

body.darkmode {
	background-color: var(--color-text);
	color: var(--color-body);
}

.has-cocoa-color {
	color: var(--color-cocoa);
}

.has-green-color {
	color: var(--color-green);
}

.has-blue-color {
	color: var(--color-blue);
}

.has-hotpink-color {
	color: var(--color-hotpink);
}

.has-orange-color {
	color: var(--color-orange);
}

.has-yellow-color {
	color: var(--color-yellow);
}

.has-lightpink-color {
	color: var(--color-lightpink);
}

.has-beige-color {
	color: var(--color-beige);
}

.has-body-color {
	color: var(--color-body);
}

.has-dark-color {
	color: var(--color-text);
}

h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6,
p,
.p {
	margin: 0;
}

h1,
.wp-block-group h1 {
	font-family: var(--font-heading);
	font-weight: 800;
	font-size: clamp(2.4rem, calc(7.4vw + 1.5rem), 6.625rem);
	margin: 0;
	margin-bottom: 0.15em;
	line-height: .8;
	text-transform: uppercase;
}

.breakout h1 {
	font-size: clamp(2.4rem, calc(7.4vw + 1.3rem), 6.625rem);
}

h2,
.wp-block-group h2 {
	font-family: var(--font-heading);
	font-weight: 700;
	font-size: clamp(3rem, calc(1vw + 2.2rem), 4.2rem);
	margin-bottom: 0.3em;
	line-height: 1.1;
	color: inherit;
}

h3,
.wp-block-group h3 {
	font-family: var(--font-heading);
	font-weight: 700;
	font-size: clamp(1.4rem, calc(1vw + 2rem), 2.3rem);
	margin-bottom: 0.3em;
	margin-top: 0.5em;
}

h4,
.wp-block-group h4 {
	font-family: var(--font-heading);
	font-weight: 700;
	font-size: var(--base-font-size);
	margin-bottom: 0.3em;
	line-height: 1.6;
	text-transform: uppercase;
}

h5,
.wp-block-group h5 {
	font-weight: 700;
	font-size: var(--base-font-size);
	margin-bottom: 0.3em;
	line-height: 1.6;
}

p,
.wp-block-group p,
ul.wp-block-list,
ol.wp-block-list {
	line-height: 1.6;
	font-size: var(--base-font-size);
	margin-bottom: calc(clamp(16px, 1.4vw, 22px) * 0.75);
	margin-bottom: 1.6rem;
}

ul.wp-block-list,
ol.wp-block-list {
	margin: 0;
	margin-bottom: 1.65rem;
	padding-left: 1.75ch;
}

ul.wp-block-list li,
ol.wp-block-list li {
	line-height: 1.4;
	margin-bottom: 0.8ch;
}

ul.wp-block-list li::marker {
	font-size: calc((var(--base-font-size)) + 10%);
}

body.bgbody ul.wp-block-list li::marker,
body.bgbeige ul.wp-block-list li::marker {
	color: var(--color-hotpink);
}

body.bghotpink ul.wp-block-list li::marker {
	color: var(--color-yellow);
}

body.bgyellow ul.wp-block-list li::marker {
	color: var(--color-blue);
}

blockquote.wp-block-quote {
	margin: 4rem 0;
	padding: 0;
	position: relative;
	display: grid;
}

blockquote.wp-block-quote p {
	font-size: calc(var(--base-font-size) + 10%);
	font-weight: 400;
	padding: 1rem 0;
	margin-bottom: 8px;
}

blockquote.wp-block-quote cite,
blockquote.wp-block-quote .citename,
blockquote.wp-block-quote .citetitle {
	font-family: var(--font-heading);
	font-size: clamp(.85rem, calc(.4vw + 1rem), 1.2rem);
	font-style: normal;
	text-transform: uppercase;
	font-weight: 700;
	letter-spacing: .5px;
	margin: 0 0 var(--space-gap-half);
	padding: 0;
}

blockquote.wp-block-quote .citename {
	font-size: calc(var(--base-font-size) + 30%);
	font-weight: 700;
	text-transform: none;
	letter-spacing: normal;
	margin: 0;
}

hr.wp-block-separator {
	border-top: 1px solid #ccc;
	margin: 2.6rem 0;
}

p.caption {
	font-size: calc((var(--base-font-size)) - 20%);
	color: var(--color-grey);
	margin-top: 1ch;
	margin-bottom: 2ch;
}

figcaption {
	font-family: var(--font-heading);
	font-weight: 700;
	font-size: clamp(1.4rem, calc(1vw + 1.5rem), 1.8rem);
	text-align: center;
	margin: 2rem 0;
	margin-top: 1.3em;
	margin-bottom: .3em;
}

a,
.a {
	font-size: inherit;
	font-weight: 700;
	text-decoration: none;
	color: var(--color-blue);

	&:hover {
		color: var(--color-orange);
	}
}

body.bghotpink a,
body.bghotpink .a {

	color: var(--color-body);

	&:hover {
		color: var(--color-blue);
	}
}

a,
a:visited,
button,
button[type="submit"],
input[type="button"],
input[type="submit"] {
	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
	-webkit-transition: 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
	-moz-transition: 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
	-o-transition: 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
	transition: 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.wp-block-button a,
a.more-link,
a.ReadMore,
a.wp-block-read-more,
a.soclink,
.wp-block-post-excerpt__more-text a,
.wpforms-submit,
.form-submit input,
button,
button[type="submit"],
input[type="button"],
input[type="submit"] {
	cursor: pointer;
	position: relative;
	display: grid;
	align-content: center;
	font-family: var(--font-heading);
	font-size: var(--base-font-size);
	font-weight: 700;
	text-align: left;
	text-transform: uppercase;
	text-wrap: balance;
	border: none;
	border-radius: 50px;
	padding: 0 2rem;
	min-height: 50px;
	color: var(--color-body);
	background-color: var(--color-orange);
	transition: 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275);

	&:hover {
		color: var(--color-body);
		background-color: var(--color-hotpink);
	}
}

body.bgyellow .wp-block-button a,
body.bgyellow button,
body.bgyellow button[type="submit"],
body.bgyellow input[type="button"],
body.bgyellow input[type="submit"] {
	color: var(--color-body);
	background-color: var(--color-blue);

	&:hover {
		background-color: var(--color-hotpink);
	}
}

body.bghotpink .wp-block-button a,
body.bghotpink button,
body.bghotpink button[type="submit"],
body.bghotpink input[type="button"],
body.bghotpink input[type="submit"] {
	color: var(--color-body);
	background-color: var(--color-blue);

	&:hover {
		color: var(--color-text);
		background-color: var(--color-yellow);
	}
}

body .wp-block-button.hotpink a {
	color: var(--color-body);
	background-color: var(--color-hotpink);

	&:hover {
		color: var(--color-text);
		background-color: var(--color-body);
	}
}


strong {
	font-weight: 700;
}

.italics {
	font-style: italic;
}

.site-container {
	display: grid;
}

.site-container div.site-inner,
.site-container div.footer-widgets,
.site-container footer.site-footer {
	position: relative;
}

.site-container .content-sidebar-wrap {
	min-height: calc(100vh - calc(var(--nav-height) + var(--footer-widgets) + var(--footer-height)));
	min-height: calc(100dvh - calc(var(--nav-height) + var(--footer-widgets) + var(--footer-height)));
	display: grid;
	overflow-x: clip;
}

.section {
	position: relative;
	scroll-margin: 0;
	scroll-margin-top: 75px;
	padding: 0;
}

.archive-description,
.breadcrumb,
header.entry-header,
.entry-content,
figure.featured-image,
footer.entry-footer,
.related-posts,
.footer-widgets .wrap,
footer.widgets,
footer.site-footer .wrap,
.fullwidth,
.colorblock {
	display: grid;
	transition: 0.4s;
	grid-template-columns:
		[fullwidth-start] minmax(var(--space-gap-half), 1fr) [breakout-start] minmax(0, var(--breakout-size)) [content-start] min(100% - var(--space-gap), var(--wrap-width)) [content-end] minmax(0, var(--breakout-size)) [breakout-end] minmax(var(--space-gap-half), 1fr) [fullwidth-end];
}

.archive-description>*,
.breadcrumb>*,
header.entry-header>*,
.entry-content>*,
figure.featured-image>*,
footer.entry-footer>*,
.related-posts>*,
footer.site-footer .wrap>*,
.fullwidth>*,
.colorblock>* {
	grid-column: content;
}

.breakout {
	grid-column: breakout;
	margin: var(--space-topmarg) 0;
	border-radius: var(--border-radius);
}

.breakout>div {
	width: var(--wrap-width);
	margin: 0 auto;
	padding: var(--space-topmarg) 0;

	@media screen and (max-width: 1160px) {
		padding: var(--space-topmarg) var(--space-gap);
	}

	@media screen and (max-width: 580px) {
		padding: var(--space-topmarg) var(--space-gap-half);
	}
}

.fullwidth,
.colorblock {
	grid-column: fullwidth;
	display: grid;
	padding: var(--space-topmarg) 0;
	padding-top: calc(var(--space-topmarg) + 1rem);
	margin: var(--space-topmarg) 0;
}

body.splash header.site-header,
body.splash footer.site-footer,
body.splash aside.mobile-menu,
body.splash aside.extra-sidebar {
	display: none;
}

body.splash header.site-header,
body.splash footer.site-footer,
body.splash aside.nav-toggle,
body.splash aside.mobile-menu,
body.splash aside.extra-sidebar,
body.splash .footer-widgets {
	display: none;
}

body.splash .site-container .site-inner {
	padding: 0 !important;
}

body.splash .site-inner .content-sidebar-wrap {
	width: 100vw;
	width: 100dvw;
	height: auto;
	overflow: hidden;
	display: grid;
	align-content: center;
}

body.admin-bar header.site-header,
body.admin-bar aside.nav-toggle,
body.admin-bar aside.mobile-menu.responsive {
	top: 32px;
	/* WP Admin bar is 32px*/

	@media all and (max-width: 782px) {
		top: 46px;
		/* WP Admin bar is 46px on mobile*/

	}
}

.extend-500 {
	height: 500px;
}

.hideit {
	display: none;
}

/* Search & Forms */
input[type="search"]::-webkit-search-decoration {
	display: none;
}

form.search-form {
	display: flex;
	column-gap: 1rem;
}

form.search-form input::placeholder,
form.search-form input::-ms-input-placeholder {
	opacity: 0.6;
}

form.search-form button[type="submit"] {
	width: 3rem;
	height: 3rem;
	min-width: 3rem;
	min-height: 3rem;
	border-radius: 50%;
	padding: 0;
	font-size: calc(var(--base-font-size) - 0.375rem);
	font-weight: 500;

	&:hover {
		border-radius: .25rem;
	}
}

form {
	display: grid;
	justify-items: stretch;
	max-width: var(--wrap-width);
}

form input[type="text"],
form input[type="email"],
form input[type="tel"],
form input[type="url"],
form textarea,
form input[type="search"],
form input[type="hidden"],
form select {
	width: 100%;
	min-height: 2.7rem;
	padding: 10px;
	border: 1.5px solid rgba(51, 39, 32, .3);
	border-radius: var(--border-radius);
	font-family: var(--font-main);
	font-size: calc(var(--base-font-size) - 10%) !important;
	color: var(--color-text);
}

form input[type="search"] {
	max-width: 80%;
	border-radius: 50px;
}

input[type="checkbox"]:checked+label::after {
	color: greenyellow;
}

form label {
	font-family: var(--font-heading);
	font-size: clamp(1.4rem, calc(1vw + 1rem), 1.6rem);
	font-weight: 500;
	color: var(--color-blue);
}

form label .required {
	font-family: var(--font-main);
	color: var(--color-hotpink);
}

.wpcf7-list-item {
	margin: 0;
}

.wpcf7-not-valid-tip {
	color: var(--color-coral);
	text-align: left;
	font-weight: 500;
}

.wpcf7 form .wpcf7-response-output,
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output {
	margin: 0;
	padding: 1rem;
	border-color: var(--color-yellow);
	border-width: 2px;
	border-radius: var(--border-radius);
	background: var(--color-orange);
	text-align: center;
	font-weight: bold;
	font-size: var(--base-font-size);
	color: var(--color-body);
}

/* SwiperJS Carousels */
.carousel {
	width: 100%;
	position: relative;
}

.swipercol2 {
	position: relative;
	margin: 0;
}

.swiper-slide {
	display: flex !important;
	align-items: center;
	height: auto;
}

.swiper-navigation {
	position: absolute;
	bottom: 7%;
	left: 50%;
	transform: translateX(-50%);
	height: auto;
	width: auto;
	max-width: calc(100% - var(--space-gap));
	margin: 0 auto;
	display: flex;
	flex-wrap: nowrap;
	justify-content: center;
	align-items: end;
	gap: 0 1rem;
	z-index: 2;
}

.swiper-navigation>* {
	position: relative !important;
	height: var(--space-topmarg) !important;
	top: 0 !important;
}

.swiper-pagination {
	display: flex;
	align-items: center;
}

.swiper-pagination-bullet {
	width: 18px !important;
	height: 18px !important;
	border: 3px solid var(--color-yellow);
	background: transparent !important;
	opacity: 1 !important;
}

.swiper-pagination-bullet-active {
	background: var(--color-yellow) !important;
}

/* For custom prev/next buttons */
.swiper-button-prev,
.swiper-button-next {
	position: relative;
}

.swiper-button-next {
	transform: scaleX(-1);
}

.swiper-button-prev span,
.swiper-button-next span {
	content: "\f88a";
	font-family: var(--font-google);
	font-size: clamp(1.3rem, 3.2vw, 80px);
	font-size: 50px;
	color: var(--color-body);
}

.swiper-button-prev::after,
.swiper-button-next::after {
	display: none;
}

/* 03 Header & Navs ////////////// */
header.site-header {
	height: var(--nav-height);
	max-height: var(--nav-height);
	position: sticky;
	top: 0;
	left: 0;
	display: grid;
	text-align: center;
	transition: all 0.4s cubic-bezier(0.43, 0.195, 0.02, 1);
	z-index: 1000;

	&.head--sizedown {
		--nav-height: 4rem;
	}

	&.head--sizedown.responsive {
		--nav-height: 6.25rem;
	}
}

body.home header.site-header {
	background-color: var(--color-cocoa);
	border-bottom: 2px solid var(--color-lightpink);

	ul.sub-menu li a {
		color: var(--color-text);
	}

	ul.genesis-nav-menu>li>a::after {
		background-color: var(--color-lightpink);
	}

	ul.sub-menu li:hover a {
		color: var(--color-body);
	}
}

body header.site-header,
body.bgbody header.site-header,
body.bgbeige header.site-header {
	background-color: var(--color-body);
	border-bottom: 2px solid var(--color-hotpink);

	ul.genesis-nav-menu>li a {
		color: var(--color-hotpink);
	}

	ul.genesis-nav-menu>li>a::after {
		background-color: var(--color-hotpink);
	}

	ul.sub-menu li {
		background-color: #ffffff;

		&:hover {
			background-color: var(--color-blue);
		}
	}

	ul.sub-menu li a {
		color: var(--color-text);
	}

	ul.sub-menu li:hover a {
		color: var(--color-body);
	}
}

body.bgbeige header.site-header {
	background-color: var(--color-beige);
}

body.bghotpink header.site-header {
	background-color: var(--color-hotpink);
	border-bottom: 2px solid var(--color-yellow);

	ul.genesis-nav-menu>li a {
		color: var(--color-yellow);
	}

	ul.genesis-nav-menu>li>a::after {
		background-color: var(--color-yellow);
	}

	ul.sub-menu li {
		background-color: #ffffff;

		&:hover {
			background-color: var(--color-blue);
		}
	}

	ul.sub-menu li a {
		color: var(--color-text);
	}

	ul.sub-menu li:hover a {
		color: var(--color-body);
	}
}

body.bgyellow header.site-header {
	background-color: var(--color-yellow);
	border-bottom: 2px solid var(--color-blue);

	ul.genesis-nav-menu>li a {
		color: var(--color-blue);
	}

	ul.genesis-nav-menu>li>a::after {
		background-color: var(--color-blue);
	}

	ul.sub-menu li {
		background-color: #ffffff;

		&:hover {
			background-color: var(--color-blue);
		}
	}

	ul.sub-menu li a {
		color: var(--color-text);
	}

	ul.sub-menu li:hover a {
		color: var(--color-body);
	}
}

body.home header.site-header {
	background-color: var(--color-cocoa);
	border-bottom: 2px solid var(--color-lightpink);

	ul.genesis-nav-menu>li a {
		color: var(--color-lightpink);
	}

	ul.genesis-nav-menu>li>a::after {
		background-color: var(--color-lightpink);
	}

	ul.sub-menu li {
		background-color: #ffffff;

		&:hover {
			background-color: var(--color-blue);
		}
	}

	ul.sub-menu li a {
		color: var(--color-text);
	}

	ul.sub-menu li:hover a {
		color: var(--color-body);
	}
}


body header.site-header.responsive {
	background-color: var(--color-blue);
	border-bottom: 2px solid var(--color-body);
}

.site-header .wrap {
	display: grid;
	align-content: stretch;
	grid-template-columns: 1fr 3fr;
	padding: 0 calc(var(--space-gap) / 2);

	@media screen and (max-width: 1024px) {
		grid-template-columns: auto;
	}
}

.title-area,
.nav-logo,
.header-widget-area {
	z-index: 1001;
}

.title-area {
	display: grid;
	justify-content: start;
	align-content: center;
	position: relative;
	display: none;
}

.nav-logo {
	grid-column: 1/2;
	display: grid;
	justify-content: start;
	align-content: center;
	position: relative;
}

a.homelink {
	margin: 0;
	display: flex;
	align-items: center;
	height: var(--nav-height);
}

a.homelink:hover {
	transform: scale(104%);
}

a.homelink svg {
	width: auto;
	height: calc(var(--nav-height) - 20px);
	max-height: 60px;
	display: block;
}

a.homelink svg {
	.st0 {
		fill: #f15c45;
	}

	.st1 {
		fill: #fdb614;
	}

	.st2 {
		fill: #ffffff;
	}

	g#WA .st4 {
		fill: #263c83;
	}

	g#lovejustice .st3 {
		fill: #b91d83;
	}

	g#alliance .st2 {
		fill: #263c83;
	}
}

body.home a.homelink svg {
	.st0 {
		fill: #263c83;
	}

	.st1 {
		fill: #fdb614;
	}

	.st2 {
		fill: #fff;
	}

	g#WA .st4 {
		fill: #b91d83;
	}

	g#lovejustice .st3 {
		fill: #d68dbd;
	}

	g#alliance .st2 {
		fill: #fff;
	}
}

body.bgbody a.homelink svg,
body.bgyellow a.homelink svg,
body.bgbeige a.homelink svg {
	.st0 {
		fill: #f15c45;
	}

	.st1 {
		fill: #fdb614;
	}

	.st2 {
		fill: #ffffff;
	}

	g#WA .st4 {
		fill: #263c83;
	}

	g#lovejustice .st3 {
		fill: #b91d83;
	}

	g#alliance .st2 {
		fill: #263c83;
	}
}

body.bghotpink a.homelink svg {

	.st0,
	.st1,
	.st2 {
		fill: #b91d83;
	}

	g#WA .st4 {
		fill: #fdb614;
	}

	g#lovejustice .st3 {
		fill: #fdb614;
	}

	g#alliance .st2 {
		fill: #fdb614;
	}
}

header.site-header.responsive a.homelink svg {

	.st0,
	.st1,
	.st2 {
		fill: #263c83 !important;
	}

	g#WA .st4,
	g#lovejustice .st3,
	g#alliance .st2 {
		fill: #ffffff !important;
	}
}

.site-title,
p.site-description {
	display: none;
}

div.header-widget-area {
	grid-column: 2/3;
	display: inline-flex;
	display: flex;

	@media screen and (max-width: 1160px) {
		column-gap: 1vw;
	}

	@media screen and (max-width: 1024px) {
		display: none;
	}
}

div.header-widget-area * {
	display: flex;
	flex: 1;
}

ul.genesis-nav-menu {
	display: flex;
	flex-wrap: nowrap;
	column-gap: 2%;
	padding: 0;
	margin: 0;
	justify-content: end;
}

ul.genesis-nav-menu>li {
	flex: initial;
	align-self: stretch;
	display: grid;
	justify-content: start;
	align-content: stretch;
	position: relative;
	list-style-type: none;
	padding: 0;
}

ul.genesis-nav-menu>li a {
	display: flex;
	position: relative;
	font-family: var(--font-heading);
	font-size: var(--base-font-size);
	text-transform: uppercase;
	align-content: center;
	align-items: center;
	justify-content: center;
	text-align: center;
	text-wrap: nowrap;
	padding: 1rem;
	margin: auto 0;
	border-radius: var(--border-radius);
	transition: 0.4s;

	&:hover {
		color: var(--color-body);
	}
}

body.home ul.genesis-nav-menu>li a {
	color: var(--color-lightpink);
}

ul.genesis-nav-menu>li>a::after {
	content: '';
	width: 0px;
	height: 0;
	border-radius: calc(var(--border-radius) / 2);
	display: block;
	position: absolute;
	transition: 0.4s;
	left: 1rem;
	bottom: 0;
}

ul.genesis-nav-menu>li:hover>a::after {
	width: 60%;
	height: 6px;
	bottom: 10px;
}

ul.genesis-nav-menu>li.menu-item-has-children a {
	display: inline-flex;
	align-items: center;
	column-gap: 0.25rem;
}

ul.genesis-nav-menu>li.menu-item-has-children a span.drop-menu {
	display: inline-flex;
	font-size: 28px;
}

ul.genesis-nav-menu>li.menu-item-has-children span.mobile-toggle {
	display: none;
}

ul.genesis-nav-menu>li ul.sub-menu {
	display: none;
	min-width: 100%;
	list-style: none;
	padding: 0;
	margin: 0;
	position: absolute;
	top: 100%;
	z-index: 9999;
	border: 1px solid rgba(51, 39, 32, 0.1);
	border-radius: 0 0 var(--border-radius) var(--border-radius);
	background-color: var(--color-body);
	box-shadow: 15px 15px 0 rgba(51, 39, 32, 0.1);
	margin-left: 0;
	overflow: hidden;
	transition: 0s linear;
}

ul.genesis-nav-menu>li.menu-item-has-children:hover ul.sub-menu {
	display: block;
}

ul.sub-menu li {
	justify-content: start;
	transition: all 0.2s ease-in-out;
	padding: 0;
}

ul.sub-menu li a::after {
	content: "";
	background: rgba(51, 39, 32, 0.1);
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translate(-50%, -50%);
	height: 1px;
	width: 80%;
	margin-top: 2px;
}

ul.sub-menu li:last-child a::after {
	background: transparent;
}

ul.sub-menu li a {
	width: 100%;
	text-align: left;
	white-space: nowrap;
	position: relative;
	padding: 1rem;
	color: var(--color-text);
}

ul.sub-menu li:hover {
	background-color: var(--color-blue);
}

ul.sub-menu li:hover a {
	background-color: transparent;
	color: var(--color-body);
}

/* Nav Toggle */
aside.nav-toggle {
	display: none;
	height: var(--nav-height);
	position: fixed;
	top: 0;
	right: 0;
	right: calc(var(--space-gap) / 2);
	transition: 0.4s cubic-bezier(0.43, 0.195, 0.02, 1);
	z-index: 1003;

	@media screen and (max-width: 1024px) {
		display: grid;
	}

	&.head--sizedown {

		--nav-height: 4rem;
	}

	&.head--sizedown.responsive {
		--nav-height: 6.25rem;
	}
}

aside.nav-toggle * {
	position: relative;
	align-self: stretch;
	display: grid;
}

#toggle {
	display: grid;
	grid-template-columns: auto;
	position: relative;
	align-content: center;
	transition: transform 0.2s;
}

#toggle span {
	align-self: center;
	display: grid;
	padding: 0 1.2rem;
	color: var(--color-text);
	transition: transform 0.4s cubic-bezier(0.43, 0.195, 0.07, 1);
	transform-origin: center center;
	font-size: var(--base-font-size);
}

#toggle span::before {
	content: "open";
}

#toggle.responsive span::before {
	content: "close";
	color: var(--color-body);
}

#toggle a {
	align-self: center;
	display: grid;
	grid-template-columns: auto auto;
	height: 100%;
	padding: 10px;
	padding: 0;
	justify-content: center;
	align-content: center;
}

#toggleIcon {
	display: grid;
	background-color: transparent;
	border-radius: 50%;
	width: 3.5rem;
	height: 3.5rem;
	padding: 0 10px;
	align-content: center;
	gap: 5px;

	transform-origin: center;
	transition: all 0.2s, height 0.2s, transform 0.2s, -webkit-transform 0.2s;
	-webkit-transition: all 0.2s, height 0.2s, -webkit-transform 0.2s;
	-o-transition: all 0.2s, height 0.2s, transform 0.2s;
}

#toggleIcon .bar {
	margin: 0;
	width: 100%;
	height: 3px;
	height: 0.188rem;
	background: var(--color-body);
	border-radius: 0;
	transition: transform 0.2s, -webkit-transform 0.2s;
	-webkit-transition: -webkit-transform 0.2s;
	-o-transition: transform 0.2s;
}

#toggle:not(.responsive):hover #toggleIcon {
	gap: 10px;
}

#toggle.responsive .bar {
	background: var(--color-body) !important;
}

#toggle.responsive .bar:first-child {
	-webkit-transform: translateY(0.5rem) rotate(45deg);
	-ms-transform: translateY(0.5rem) rotate(45deg);
	transform: translateY(0.5rem) rotate(45deg);
}

#toggle.responsive .bar:nth-child(2) {
	opacity: 0;
}

#toggle.responsive .bar:last-child {
	-webkit-transform: translateY(-0.5rem) rotate(-45deg);
	-ms-transform: translateY(-0.5rem) rotate(-45deg);
	transform: translateY(-0.5rem) rotate(-45deg);
}

/* Mobile Menu */
aside.mobile-menu {
	display: grid;
	margin: 0 auto;
	padding: calc(var(--nav-height) + var(--space-gap-half)) 0 1.5rem;
	grid-template-rows: auto;
	grid-row-gap: 0;
	align-content: start;
	width: 100vw;
	width: 100dvw;
	height: 100vh;
	height: 100dvh;
	position: fixed;
	top: 0;
	right: 0;
	transform: translateX(100%);
	-webkit-transform: translateX(100%);
	-o-transform: translateX(100%);
	transition: transform 0.6s cubic-bezier(0.43, 0.195, 0.02, 1), -webkit-transform 0.6s cubic-bezier(0.43, 0.195, 0.02, 1), -o-transform 0.6s cubic-bezier(0.43, 0.195, 0.02, 1);
	background-color: var(--color-blue);
	overflow-y: scroll;
	overflow-x: hidden;
	scrollbar-width: none;
	z-index: 999;
}

aside.mobile-menu::-webkit-scrollbar {
	display: none;
	/* Older Safari and Chromium */
}

aside.mobile-menu.responsive {
	transform: translateX(0);
	-webkit-transform: translateX(0);
	-o-transform: translateX(0);
}

aside.mobile-menu section {
	padding-bottom: 0;
}

aside.mobile-menu ul {
	list-style-type: none;
	display: grid;
	align-content: space-between;
	height: 100%;
	margin: 0;
	padding: 0;
	row-gap: 0;
}

aside.mobile-menu ul li {
	box-sizing: border-box;
	display: grid;
	align-content: stretch;
	justify-content: start;
}

aside.mobile-menu ul li a {
	display: flex;
	width: 100%;
	font-size: clamp(1.6rem, 3.2vw, 80px);
	border-radius: var(--border-radius);
	text-decoration: none;
	text-transform: uppercase;
	padding: var(--space-gap-half) calc(var(--space-gap-half) / 2);
	margin: 0 calc(var(--space-gap-half) / 2);
	align-self: center;
	transition: 0.4s;
	color: var(--color-body);
}

aside.mobile-menu ul li a:hover {
	text-decoration: none;
	color: var(--color-body) !important;
	background-color: var(--color-hotpink);
}

aside.mobile-menu ul li.menu-item-has-children {
	grid-template-columns: auto 1fr;
	column-gap: 1rem;
	justify-content: space-between;
}

aside.mobile-menu ul li.menu-item-has-children>a {
	display: inline-flex;
}

aside.mobile-menu ul li.menu-item-has-children span.drop-menu {
	display: none;
}

aside.mobile-menu ul li.menu-item-has-children span.mobile-toggle {
	color: var(--color-body);
	height: 100%;
	width: 2.25rem;
	display: grid;
	align-items: center;
	justify-content: end;
	transition: transform 0.4s;
	font-size: 2.25rem;
	transform-origin: center;
}

aside.mobile-menu ul li.menu-item-has-children span.mobile-toggle.m-toggled {
	transform: rotate(90deg);
}

aside.mobile-menu ul.sub-menu {
	display: none;
	flex-basis: 100%;
	grid-column: 1/3;
	margin: 0 0 30px;
	border-radius: 0;
	background-color: var(--color-body);
	height: auto;
	transition: max-height 0.7s cubic-bezier(0.43, 0.195, 0.02, 1);
	overflow: hidden;
}

aside.mobile-menu ul li.menu-item-has-children span.m-toggled ul.sub-menu {
	display: block;
}

aside.mobile-menu ul.sub-menu li {
	border: none;
	padding: 0 var(--space-gap-half);
}

aside.mobile-menu ul.sub-menu li:hover {
	background-color: var(--color-orange);
}

aside.mobile-menu ul.sub-menu li:hover a {
	background-color: transparent;
	color: var(--color-body);
}

aside.mobile-menu ul.sub-menu li a {
	font-size: clamp(1.3rem, 3.2vw, 80px);
	color: var(--color-blue);
	padding-left: 0;
	justify-content: start;
	text-wrap: auto;
}

aside.mobile-menu ul.sub-menu li a::before {
	content: "\f88a";
	font-family: var(--font-google);
	margin-right: calc(var(--space-gap-half) / 2);
	align-self: start;
}

aside.mobile-menu ul.sub-menu li a::after {
	content: none;
}

/* 04 Body Sections ////////////// */
.site-inner,
.footer-widgets,
.site-footer {
	transition: filter 0.3s;
}

.site-inner.responsive,
.footer-widgets.responsive,
.site-footer.responsive,
.site-header.showform,
.site-inner.showform,
.footer-widgets.showform,
.site-footer.showform {
	filter: none;
}

main.content {
	padding: 0;
}

.breadcrumb {
	width: min(100% - var(--space-gap), var(--wrap-width));
	margin: 0 auto;
	margin-top: var(--space-topmarg);
	display: flex;
	align-content: center;
	align-items: center;
	column-gap: calc(var(--space-gap-half) / 2);
	font-size: calc(var(--base-font-size) - 0.125rem);
}

.breadcrumb * {
	height: 36px;
	display: inline-flex;
	grid-template-columns: repeat(3, minmax(0, auto));
	grid-template-columns: repeat(auto-fit, minmax(0, auto));
	align-items: center;
}

header.entry-header {
	margin: calc(var(--space-topmarg) * 2) 0;

	@media screen and (max-width: 660px) {
		margin: calc(var(--space-topmarg) * 1.25) 0;
	}
}

header.entry-header h1 {
	font-size: clamp(2.4rem, calc(7.4vw + 1.5rem), 8rem);
	text-align: center;
}

body,
.bgbody,
.bgbeige {
	background-color: var(--color-body);

	header.entry-header h1 {
		color: var(--color-hotpink);
	}

	#toggleIcon .bar {
		background: var(--color-hotpink);
	}

	#MORE figcaption {
		color: var(--color-hotpink);
	}
}

.bgbeige {
	background-color: var(--color-beige);
}

.bgyellow {
	background-color: var(--color-yellow);
	color: var(--color-text);

	header.entry-header h1 {
		color: var(--color-blue);

		#toggleIcon .bar {
			background: var(--color-blue);
		}
	}

	#MORE figcaption {
		color: var(--color-blue);
	}
}

.bghotpink {
	background-color: var(--color-hotpink);
	color: #ffffff;

	header.entry-header h1 {
		color: var(--color-yellow);
	}

	#toggleIcon .bar {
		background: var(--color-yellow);
	}

	#MORE figcaption {
		color: var(--color-yellow);
	}
}

/* Home */
body.home {
	color: var(--color-body);
	background-color: var(--color-cocoa);
}

#WithLove.wp-block-group>div {
	display: grid;
	grid-template-columns: 1.5fr 1fr;
	gap: var(--space-gap);
	align-items: center;
	text-wrap: balance;

	@media screen and (max-width: 880px) {
		grid-template-columns: 1fr;
	}
}

p.giant {
	font-family: var(--font-heading);
	/* font-size: 30vh; */
	font-size: min(23vw, 300px);
	font-weight: 800;
	text-transform: uppercase;
	line-height: .8;
	margin: 0;

	@media screen and (max-width: 880px) {
		font-size: 38vw;
	}
}

p.giant span.hot {
	color: var(--color-hotpink);
}

p.giant span.pink {
	color: var(--color-lightpink);
}

p.giant span.white {
	color: var(--color-body);
}

p.giant span.beige {
	color: var(--color-beige);
}

p.giant span.yellow {
	color: var(--color-yellow);
}

p.giant span.orange {
	color: var(--color-orange);
}

.hero svg {
	display: flex;
}

.twoblock {
	grid-template-columns: 1fr;
}

#Who,
#What,
.twoblock {
	margin: 0;
	padding: 0;
}

.twoblock>div,
#Who>div {
	grid-column: unset;
	display: grid;
	grid-template-columns: 1fr 1fr;
	/* gap: var(--space-gap); */
	align-items: center;

	@media screen and (max-width: 880px) {
		grid-template-columns: 1fr;
	}
}

.twoblock figure,
#Who figure {
	width: 100%;
	height: 100%;
	margin: 0;

	@media screen and (max-width: 880px) {
		order: 1;
	}
}

.twoblock figure img,
#Who figure img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}

.twoblock .txtbx,
#Who .txtbx {
	padding: calc(var(--space-gap) * 2);
	text-wrap: balance;

	@media screen and (max-width: 880px) {
		order: 2;
	}

	@media screen and (max-width: 550px) {
		padding: calc(var(--space-gap) * 2) var(--space-gap);
	}
}

.threeacross>div {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	gap: var(--space-gap);
	align-items: start;
	justify-items: center;

	@media screen and (max-width: 1020px) {
		grid-template-columns: 1fr;
	}
}

.threeacross figure {
	display: grid;
	justify-items: center;
	width: min(100%, 500px);
}

.threeacross figure img {
	border-radius: 50%;
}

.threeacross figcaption {
	margin: 1rem 0 0;
	font-size: clamp(1.4rem, calc(1vw + 1.5rem), 2.2rem);
	text-transform: uppercase;
	font-weight: 900;
	width: fit-content;
}

.threeacross figcaption::after {
	content: url(images/LJA_line_yellow.svg);
	display: block;
	width: max(100%, 250px);
	height: 30px;
	position: relative;
	top: 5px;
	right: 0;
	left: 50%;
	transform: translate(-50%, -50%);
	transition: 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275);
	transform-origin: top;
}

.threeacross figure.orange figcaption::after {
	content: url(images/LJA_line_orange.svg);
}

.threeacross figure.pink figcaption::after {
	content: url(images/LJA_line_pink.svg);
}

.threeacross figure:hover figcaption::after {
	width: max(120%, 300px);
}

#What {
	padding: max(var(--space-topmarg), 7vh) 0;
	color: var(--color-body);
}

#Featured {
	margin: 0;
	padding: 0;
}

#Featured .swiperFeatured {
	display: grid;
	position: relative;
	gap: 0;
}

#Featured .swiper-slide>div {
	display: grid;
	grid-template-columns: 1fr 1fr;
	align-items: center;
	width: 100%;
	height: 100%;

	@media screen and (max-width: 880px) {
		grid-template-columns: 1fr;
	}
}

#Featured .txtbx {
	padding: calc(var(--space-gap) * 2);
	padding-bottom: calc((var(--space-gap) * 2) + var(--space-topmarg));

	@media screen and (max-width: 880px) {
		order: 2;
		padding-top: var(--space-gap);
	}

	@media screen and (max-width: 660px) {
		padding: var(--space-gap);
		padding-bottom: calc((var(--space-gap) * 2) + var(--space-topmarg));
	}
}

#Featured .txtbx h4 {
	color: var(--color-lightpink);
}

#Featured figure {
	width: 100%;
	height: 100%;
	margin: 0;
}

#Featured figure img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}

#Featured .swiper-navigation {
	bottom: var(--space-gap-half);
	left: calc(var(--space-gap) * 2);
	transform: unset;
	height: var(--space-topmarg);
	align-items: end;

	@media screen and (max-width: 660px) {
		left: var(--space-gap);
	}
}

#Testimonials {
	margin: 0;
}

#Testimonials .swiper-slide {
	padding: var(--space-gap);
	padding-bottom: calc(var(--space-gap) * 2);
	height: auto;
}

#Testimonials .swiper-slide>* {
	margin: 0 auto;
	width: 100%;
	max-width: var(--wrap-width);
	display: grid;
	align-self: flex-start;
	text-align: center;
	color: var(--color-body);
}

#Testimonials .swiper-slide h4,
#Testimonials .swiper-slide .cite {
	color: var(--color-yellow);
}

#Testimonials .swiper-navigation {
	height: var(--space-topmarg);
	align-items: end;
	bottom: calc(var(--space-gap) * 2)
}

.post-edit-link {
	display: none;
}

#Testimonials svg {
	display: flex;
	width: 100%;
	height: auto;
	max-width: calc(var(--wrap-width) - 20%);
	margin: 0 auto;
}

#MORE svg {
	display: flex;
	width: 100%;
	height: auto;
	max-width: calc(var(--wrap-width) - 40%);
	margin: 0 auto;
	margin-bottom: calc(var(--space-gap) * 2);
}

#ContactForm1 label {
	visibility: visible;
	height: auto;
}

#ContactForm1 input[type="checkbox"] {
	width: 22px;
	height: 22px;
	border: 1.5px solid rgba(51, 39, 32, .3);
	border-radius: var(--border-radius);
}

#CTAblock {
	display: grid;
	background-color: var(--color-hotpink);
	margin-top: calc(var(--space-topmarg) * 2);
}

#CTAblock section {
	color: var(--color-body);
	display: grid;
}

#CTAblock section>div {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: var(--space-gap);
	gap: 0;
	justify-items: start;
	align-items: center;

	@media screen and (max-width: 880px) {
		grid-template-columns: 1fr;
	}
}

#CTAblock section:nth-child(1) {
	padding: max(var(--space-topmarg), 7vh) var(--space-gap);
}

#CTAblock section:nth-child(1)>div {
	width: 100%;
	max-width: var(--wrap-width);
	margin: 0 auto;
}

#CTAblock .txtbx {
	display: grid;
	justify-items: start;
	text-wrap: balance;
	padding: calc(var(--space-gap) * 2);
	padding-right: 0;

	@media screen and (max-width: 880px) {
		padding: calc(var(--space-gap) * 2) 0;
	}
}

#CTAblock section:nth-child(2) {
	background-size: cover;
	background-position: center;
}

#CTAblock section:nth-child(2) .txtbx {
	padding: max(var(--space-topmarg), 10vh) calc(var(--space-gap) * 2);
	padding-right: var(--space-gap-half);
	position: relative;
}

#CTAblock section:nth-child(2) .txtbx * {
	z-index: 1;
}

#CTAblock section:nth-child(2) .txtbx::before {
	content: " ";
	position: absolute;
	top: 0;
	right: 0;
	width: 100%;
	height: 100%;
	background-color: var(--color-hotpink);
	mix-blend-mode: multiply;
	z-index: 0;
}

#CTAblock .wp-block-button a,
#CTAblock button,
#CTAblock button[type="submit"],
#CTAblock input[type="button"],
#CTAblock input[type="submit"] {
	color: var(--color-body);
	background-color: var(--color-orange);

	&:hover {
		color: var(--color-hotpink);
		background-color: var(--color-body);
	}
}




/* Post Query */
.wp-block-post-template li {
	margin-bottom: 4rem;
}

.wp-block-post-template .wp-block-post-featured-image {
	max-width: 25rem;
}

/* Posts (.single) */
article.post {
	width: 100%;
}

article.post header.entry-header,
body.blog article header.entry-header,
body.archive article header.entry-header,
body.search article header.entry-header {
	padding: 0;
}

article.post p.entry-meta {
	margin-top: var(--space-topmarg);
}

body.single figure.featured-image {
	margin: 2rem 0 3rem;
	width: 100%;
}

body.single figure.featured-image img {
	object-fit: contain;
	width: 100%;
	height: auto;
	position: relative;
	border-radius: var(--border-radius);
	background-color: rgba(204, 204, 204, .1);
	box-shadow: 0px 0px 5px rgba(204, 204, 204, .4);
	box-shadow: 0px 0px 5px rgb(87, 87, 87);
}

article.fimg__tnsp figure.featured-image img {
	padding: 2rem;
	box-shadow: 0px 0px 5px rgba(204, 204, 204, .4);
}

body.single figure.wp-block-image {
	margin: 2rem 0;
}

.comment-respond,
.entry-comments {
	margin-top: 4rem !important;
}

.comment-form-comment {
	display: grid;
}

ol.comment-list {
	padding-left: 2ch;
}

.prev-next-post-links,
.related-posts,
.comment-respond,
.entry-comments {
	width: 100%;
	margin-top: 4rem;
}

.prev-next-post-links {
	display: flex;
	justify-content: space-between;
	border: solid #ccc;
	border-width: 1px 0 1px 0;
	padding: 4rem 0;
}

.single-post-nav {
	width: clamp(150px, 40%, 400px);
}

.single-post-nav a {
	display: grid;
	row-gap: 0.8rem;
}

.single-post-nav a>* {
	margin-bottom: 0;
	line-height: 1;
}

.single-post-nav figure {
	height: 60px;
	width: auto;
}

.single-post-nav figure img {
	height: 100%;
	width: auto;
}

.next-post-link {
	justify-self: end;
	text-align: right;
}

.related-list {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
	gap: 30px;
}

.related-list a {
	display: grid;
}

.related_post_image img {
	width: 100%;
	max-width: 800px;
	height: auto;
	position: relative;
	aspect-ratio: 16/9;
	object-fit: cover;
}

.back-to-blog {
	display: grid;
	padding: 30px 0;
	justify-content: center;
	align-content: center;
}

.back-to-blog a {
	display: flex;
	align-items: center;
	column-gap: 0.5rem;
}

/* Archives, Blogs, & (/?s) */
.archive-description {
	margin-top: var(--space-topmarg);
	margin-bottom: calc(var(--space-topmarg) + 0.74rem);
}

body.blog article,
body.archive article,
body.search article {
	padding-bottom: var(--space-gap);
	border-bottom: 0px solid var(--color-text);
	position: relative;
	display: grid;
	grid-template-columns: .45fr 1fr;
	grid-template-rows: 1fr 1fr;
	width: 100%;
	max-width: calc(var(--wrap-width) - var(--space-gap));
	margin: 0 auto;
	margin-top: var(--space-topmarg);
	gap: 0 var(--space-gap);

	&:last-of-type {
		border-bottom: 0px solid var(--color-text);
	}

	@media all and (max-width: 782px) {
		grid-template-columns: auto;
		margin-top: var(--space-gap);
	}

}

body.blog article header.entry-header,
body.archive article header.entry-header,
body.search article header.entry-header {
	margin-bottom: 0;
	grid-column: 2/3;
	margin-top: 0;
	align-content: end;

	@media all and (max-width: 782px) {
		grid-column: 1/-1;
		margin-top: var(--space-gap);
	}
}

body.blog article h2.entry-title,
body.archive article h2.entry-title,
body.search article h2.entry-title {
	margin-bottom: 0;
}

body.blog article.post p.entry-meta,
body.archive article.post p.entry-meta,
body.search article.post p.entry-meta {
	margin-top: var(--space-gap-half);
}


body.blog article .entry-content,
body.archive article .entry-content,
body.search article .entry-content {
	margin-bottom: 0;
	grid-template-columns: 1fr;
	grid-column: 1/2;
	grid-row: 1/-1;
	align-self: center;
	align-content: center;

	@media all and (max-width: 782px) {
		grid-column: 1/-1;
	}
}

body.blog article .entry-content a,
body.archive article .entry-content a,
body.search article .entry-content a {
	align-self: center;
}

body.blog .entry-content,
body.archive .entry-content,
body.search .entry-content {
	position: relative;
	height: auto;
	border-right: 1px solid var(--color-text);
}

body.blog .entry-content img,
body.archive .entry-content img,
body.search .entry-content img {
	aspect-ratio: 5/4;
	object-fit: cover;
	width: min(24rem, 100%);
	height: inherit;
	border-radius: var(--border-radius);
}

body.archive footer.entry-footer,
body.search footer.entry-footer {
	grid-column: 2/3;
	grid-row: 2/3;

	@media all and (max-width: 782px) {
		grid-column: 1/-1;
		grid-row: auto;
	}
}

body.blog .entry-content p,
body.blog .entry-content a.ReadMore,
body.archive .entry-content p,
body.archive .entry-content a.ReadMore,
body.search .entry-content p,
body.search .entry-content a.ReadMore {
	display: none;
}

.archive-pagination ul {
	display: flex;
	width: 100%;
	max-width: var(--wrap-width);
	justify-content: center;
	list-style-type: none;
	column-gap: 1.5rem;
	font-size: var(--base-font-size);
	padding: calc(var(--space-gap) / 2);
	margin: calc(var(--space-gap) / 2) auto;
}

/* Error 404 */
body.error404 h1.entry-title {
	font-size: clamp(4rem, calc(10vw + 1rem), 10rem);
	width: var(--wrap-width);
	margin-left: auto;
	margin-right: auto;
	margin-top: var(--space-topmarg);
	margin-bottom: 1.2rem;
	padding: 0 calc(var(--space-gap) / 2);
	transition: 0.4s
}

/* 05 Footer ////////////// */
.footer-widgets {
	padding: var(--space-gap) 0;
	height: var(--footer-widgets);
	height: auto;
	display: grid;
	background-color: var(--color-blue);
}

.footer-widgets .wrap {
	align-self: stretch;
	justify-content: space-between;
	grid-template-columns: repeat(4, minmax(0, 1fr));
	color: var(--color-body);
	width: 100%;
	max-width: var(--wrap-width);
	margin: 0 auto;
	padding: 0;
	gap: 0 3em;

	@media screen and (max-width: 1160px) {
		padding: 0 var(--space-gap-half);
	}

	@media screen and (max-width: 1020px) {
		grid-template-columns: repeat(2, minmax(0, auto));
		gap: 2em;
	}

	@media screen and (max-width: 440px) {
		grid-template-columns: auto;
	}
}

.footer-widgets {
	display: grid;
}

.footer-widgets a,
footer.site-footer a {
	color: var(--color-lightpink);

	&:hover {
		color: var(--color-yellow);
	}
}

.footer-widgets .widget-title {
	color: var(--color-lightpink);
	margin: 0 0 1em 0;
	text-transform: uppercase;
	font-size: min(1.2rem, var(--base-font-size));
}

.footer-widgets ul.menu {
	list-style-type: none;
	margin: 0;
	padding: 0 0 0 2em;
	display: grid;
	row-gap: 1rem;
}

.footer-widgets ul.menu a {
	color: var(--color-body);
	font-family: var(--font-heading);
	font-weight: 700;
	font-size: min(1.2rem, var(--base-font-size));
	text-transform: uppercase;
	padding: 0;

	&:hover {
		color: var(--color-yellow);
	}
}

.footer-widgets-2,
.footer-widgets-3,
.footer-widgets-4 {
	margin-top: 8em;
	margin-top: var(--space-topmarg);

	@media screen and (max-width: 1020px) {
		margin-top: 0;
	}
}

.footer-widgets-1 {
	text-align: center;
	display: grid;

	@media screen and (max-width: 1020px) {
		grid-column: 1/3;
		text-align: left;
		grid-template-columns: auto auto;
		gap: 2em;
	}

	@media screen and (max-width: 440px) {
		grid-column: 1/2;
		grid-template-columns: auto;
	}
}

@media screen and (max-width: 1020px) {
	.footer-widgets-1 section {
		display: grid;
		align-items: end;
	}
}

.footer-widgets-1 img {
	width: min(50vw, 200px);
}

.ft_add {
	margin: var(--space-gap-half) 0;
	font-size: calc(var(--base-font-size) - 20%);
}

.ft_add p {
	margin: 0;
	font-size: calc(var(--base-font-size) - 20%);
}

.footer-widgets-4 ul.menu {
	grid-template-columns: 2.5rem auto;
}

.footer-widgets-4 ul.menu li {
	grid-column: 1/3;
}

.footer-widgets-4 ul.menu a {
	color: var(--color-body);
}

.footer-widgets-4 ul.menu li:nth-child(5) {
	grid-column: 1/2;
}

.footer-widgets-4 ul.menu li:nth-child(6) {
	grid-column: 2/3;
}

.footer-widgets ul.menu li.ftsoc a {
	font-size: max(30px, var(--base-font-size));
	color: var(--color-lightpink);

	&:hover {
		color: var(--color-yellow);
	}
}

.footer-widgets-5 {
	grid-column: 1/5;
	padding: var(--space-gap) 0;
	margin: var(--space-gap) 0 0 0;
	border-top: 2px solid var(--color-body);
	border-bottom: 2px solid var(--color-body);
	text-align: center;
	text-wrap: auto;

	@media screen and (max-width: 1020px) {
		grid-column: 1/3;
	}

	@media screen and (max-width: 440px) {
		grid-column: 1/2;
	}
}

.footer-widgets-5 p {
	margin: 0;
	font-size: calc(var(--base-font-size) - 20%);
}



.ftsoc a.soclink {
	display: inline-grid;
	width: 2.5rem;
	height: 2.5rem;
	min-height: 2.5rem;
	justify-content: center;
	align-items: center;
	border-radius: 50%;
	background: transparent;
	padding: 0;
	transition: 0.45s cubic-bezier(0.43, 0.195, 0.06, 1.4);

	i {
		color: var(--color-green);
		font-size: 34px;
		font-size: calc(var(--base-font-size) + .65rem);
	}

	&:hover {
		text-decoration: none;

		i {
			color: var(--color-orange);
		}
	}

	&.upsize {
		font-size: 110%;
	}
}

.ftsoc a.more-link i {
	color: var(--color-body);
	transition: 0.45s cubic-bezier(0.43, 0.195, 0.06, 1.4);
}


footer.site-footer {
	height: var(--footer-height);
	height: auto;
	display: grid;
	align-content: center;
	text-align: center;
	color: var(--color-body);
	background-color: var(--color-blue);
	padding-bottom: var(--space-gap);
}

footer.site-footer p {
	font-size: calc(var(--base-font-size) - 6px);
	font-size: calc(var(--base-font-size) - 0.375rem);
	margin: 0;
	padding: 0;
}

#BackToTop {
	cursor: pointer;
	display: grid;
	width: 45px;
	height: 45px;
	min-height: 45px;
	width: 2.813rem;
	height: 2.813rem;
	min-height: 2.813rem;
	justify-content: center;
	align-items: center;
	text-decoration: none;
	position: fixed;
	/* bottom: 10px; */
	right: calc(var(--space-gap) / 2);
	text-align: center;
	border: none;
	border-radius: 50%;
	color: var(--color-body);
	background-color: var(--color-text);
	transition: bottom 0.55s ease-in-out;
	transition: bottom 0.45s cubic-bezier(0.43, 0.195, 0.06, 1.4);
	z-index: 5;
}

#BackToTop .material-symbols-rounded {
	color: var(--color-body);
	font-size: 24px;
	font-size: 1.5rem !important;
}

#BackToTop:hover {
	color: var(--color-text);
	background-color: var(--color-blue);
}

#BackToTop:hover .material-symbols-rounded {
	color: var(--color-text);
}

#BackToTop:active {
	animation-name: btn-pop;
	animation-duration: 0.3s;
	animation-timing-function: linear;
	animation-iteration-count: 1;
}

@keyframes btn-pop {
	50% {
		transform: scale(1.2);
	}
}

button#theme-switch {
	cursor: pointer;
	display: grid;
	display: none;
	width: 2.5rem;
	height: 2.5rem;
	min-height: 2.5rem;
	justify-content: center;
	align-items: center;
	text-decoration: none;
	position: fixed;
	bottom: calc(var(--space-gap) / 2);
	left: calc(var(--space-gap) / 2);
	text-align: center;
	border: none;
	border-radius: 50%;
	background: var(--color-cocoa);
	padding: 0;
	transition: 0.45s cubic-bezier(0.43, 0.195, 0.06, 1.4);
	z-index: 5;
}

button#theme-switch i {
	color: var(--color-body);
}

button#theme-switch i:last-child {
	display: none;
}

.darkmode button#theme-switch i:first-child {
	display: none;
}

.darkmode button#theme-switch i:last-child {
	display: block;
}